Get procore schedule names

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/project/{projectId}/procore/{procoreCompanyId}/project/{procoreProjectId}/schedule-names

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
  • projectId integer(int64) Required
  • procoreCompanyId integer(int64) Required
  • procoreProjectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • fileName array[string]
GET /company/{companyId}/project/{projectId}/procore/{procoreCompanyId}/project/{procoreProjectId}/schedule-names
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/project/{projectId}/procore/{procoreCompanyId}/project/{procoreProjectId}/schedule-names' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "fileName": [
    "string"
  ]
}